
#include <TFile.h>
#include <TSystem.h>
#include <TROOT.h>
//#include "ProcessMesons3D.C"

//_________________
void RunProcessor(int PID, int energy) {

  gROOT->ProcessLine(".L HbtFitter.cxx+");
  gROOT->ProcessLine(".L HistoCollector3D.cxx+");
  gROOT->ProcessLine(".L ProcessMesons3D.C+");

  int eneArr[8] = {7, 11, 14, 19, 27, 39, 62, 200};
  int centArr[3] = {87, 65, 40};
  for(int iEne=0; iEne<8; iEne++) {
    for(int iCent=0; iCent<3; iCent++) {
      ProcessMesons3D(PID, centArr[iCent], eneArr[iEne]);
    }
  }

  /*
  for(int iCent=0; iCent<9; iCent++) {
    ProcessMesons3D(PID, iCent, energy);
  }
  */
}
